streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base Class Referenceabstract
Inheritance diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base:
Collaboration diagram for streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base:

## Public Types

typedef kernel_multifunction_node::output_ports_type | output_ports_type

## Public Member Functions

virtual void | enqueue (kernel_input_tuple &ip, output_ports_type &op, const streaming_node &n)=0
virtual void | send (device_type d)=0
virtual args_storage_base * | clone () const =0
virtual | ~args_storage_base ()

## Protected Member Functions

| args_storage_base (const kernel_type &kernel, StreamFactory &f)
| args_storage_base (const args_storage_base &k)

## Protected Attributes

const kernel_type | my_kernel
StreamFactory & | my_factory

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

### template<typename... Ports, typename JP, typename StreamFactory>
class streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base

Definition at line 467 of file _flow_graph_streaming_node.h.

## Member Typedef Documentation

## output_ports_type

template<typename... Ports, typename JP , typename StreamFactory >

typedef kernel_multifunction_node::output_ports_type streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::output_ports_type

Definition at line 469 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## ~args_storage_base()

template<typename... Ports, typename JP , typename StreamFactory >

virtual streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::~args_storage_base | ( |  | ) |

inline virtual

Definition at line 474 of file _flow_graph_streaming_node.h.

{}

## args_storage_base() [1/2]

template<typename... Ports, typename JP , typename StreamFactory >

streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::args_storage_base | ( | const kernel_type & | kernel,
|  | StreamFactory & | f
| ) |  |

inline protected

Definition at line 477 of file _flow_graph_streaming_node.h.

: my_kernel( kernel ), my_factory( f )
{}
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::my_kernel
const kernel_type my_kernel
Definition: _flow_graph_streaming_node.h:485
streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::my_factory
StreamFactory & my_factory
Definition: _flow_graph_streaming_node.h:486

## args_storage_base() [2/2]

template<typename... Ports, typename JP , typename StreamFactory >

streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::args_storage_base | ( | const args_storage_base & | k | ) |

inline protected

Definition at line 481 of file _flow_graph_streaming_node.h.

: tbb::internal::no_copy(), my_kernel( k.my_kernel ), my_factory( k.my_factory )
{}
tbb::internal::no_copy
Base class for types that should not be copied or assigned.
Definition: tbb_stddef.h:330

## Member Function Documentation

## clone()

template<typename... Ports, typename JP , typename StreamFactory >

virtual args_storage_base* streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::clone | ( |  | ) | const

pure virtual

Implemented in streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >.

## enqueue()

template<typename... Ports, typename JP , typename StreamFactory >

virtual void streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::enqueue | ( | kernel_input_tuple & | ip,
|  | output_ports_type & | op,
|  | const streaming_node< tuple< Ports... >, JP, StreamFactory > & | n
| ) |  |

pure virtual

Implemented in streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >.

## send()

template<typename... Ports, typename JP , typename StreamFactory >

virtual void streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::send | ( | device_type | d | ) |

pure virtual

Implemented in streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >.

## Member Data Documentation

## my_factory

template<typename... Ports, typename JP , typename StreamFactory >

StreamFactory& streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::my_factory

protected

Definition at line 486 of file _flow_graph_streaming_node.h.

## my_kernel

template<typename... Ports, typename JP , typename StreamFactory >

const kernel_type streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base::my_kernel

protected

Definition at line 485 of file _flow_graph_streaming_node.h.

The documentation for this class was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.